CREATE TABLE gl_xfr_history (
    XFR_ID                   NUMBER(18, 0) ,
    SYSTEM_ID                NUMBER(18, 0)     NOT NULL,
    XFR_TYPE_CODE            VARCHAR2(120)     NOT NULL,
    TOTAL_NUM_CHUNKS         NUMBER(18, 0)     NOT NULL,
    CURRENT_CHUNK_NUM        NUMBER(18, 0)     NOT NULL,
    XFR_STATUS_CODE          VARCHAR2(120) ,
    XFR_REQUEST_ID           NUMBER(18, 0) ,
    XFR_ERROR_MESSAGE        VARCHAR2(4000),
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    XFR_ID                   NUMBER(18, 0) ,
    SYSTEM_ID                NUMBER(18, 0)     NOT NULL,
    XFR_TYPE_CODE            VARCHAR2(120)     NOT NULL,
    TOTAL_NUM_CHUNKS         NUMBER(18, 0)     NOT NULL,
    CURRENT_CHUNK_NUM        NUMBER(18, 0)     NOT NULL,
    XFR_STATUS_CODE          VARCHAR2(120) ,
    XFR_REQUEST_ID           NUMBER(18, 0) ,
    XFR_ERROR_MESSAGE        VARCHAR2(4000),
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_gl_xfr_history PRIMARY KEY (XFR_ID, XFR_ID)
);
